Open Bug 1059883 Opened 5 years ago Updated 3 years ago

Intermittent test_ocsp_caching.js | test failed (with xpcshell return code: 0) | head_psm.js | 2153389954 == 0

Categories

(Core :: Security: PSM, defect, P3)

All
Gonk (Firefox OS)
defect

Tracking

()

People

(Reporter: RyanVM, Unassigned)

References

Details

(Keywords: intermittent-failure, Whiteboard: [psm-intermittent])

+++ This bug was initially created as a clone of Bug #1009988 +++

https://tbpl.mozilla.org/php/getParsedLog.php?id=46944062&tree=B2g-Inbound

b2g_emulator_vm b2g-inbound debug test xpcshell-2 on 2014-08-28 06:17:24 PDT for push 02168a8257d4
slave: tst-linux64-spot-1246

07:10:42     INFO -  TEST-INFO | /builds/slave/test/build/tests/xpcshell/tests/security/manager/ssl/tests/unit/test_ocsp_caching.js | running test ...
07:11:49  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/security/manager/ssl/tests/unit/test_ocsp_caching.js | test failed (with xpcshell return code: 0), see following log:
07:11:49     INFO -  >>>>>>>
07:11:49     INFO -  xpcw: cd /data/local/tests/xpcshell/security/manager/ssl/tests/unit
07:11:49     INFO -  xpcw: xpcshell -r /data/local/tests/xpcshell/c/httpd.manifest -m -s -e const _HTTPD_JS_PATH = "/data/local/tests/xpcshell/c/httpd.js"; -e const _HEAD_JS_PATH = "/data/local/tests/xpcshell/head.js"; -e const _TESTING_MODULES_DIR = "/data/local/tests/xpcshell/m"; -f /data/local/tests/xpcshell/head.js -e const _SERVER_ADDR = "localhost" -e const _HEAD_FILES = ["/data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js"]; -e const _TAIL_FILES = []; -e const _TEST_FILE = ["test_ocsp_caching.js"]; -e _execute_test(); quit(0);
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  System JS : WARNING jar:file:///system/b2g/omni.ja!/components/DirectoryProvider.js:205 - octal literals and octal escape sequences are deprecated
07:11:49     INFO -  System JS : WARNING jar:file:///system/b2g/omni.ja!/components/DirectoryProvider.js:205 - octal literals and octal escape sequences are deprecated
07:11:49     INFO -  System JS : WARNING jar:file:///system/b2g/omni.ja!/components/DirectoryProvider.js:205 - octal literals and octal escape sequences are deprecated
07:11:49     INFO -  [3226] WARNING: Couldn't get the user appdata directory. Crash events may not be produced.: file ../../../gecko/toolkit/crashreporter/nsExceptionHandler.cpp, line 2189
07:11:49     INFO -  [3226] WARNING: NS_ENSURE_TRUE(lowMemFd != -1) failed: file ../../../gecko/widget/gonk/GonkMemoryPressureMonitoring.cpp, line 132
07:11:49     INFO -  *****************************************************************
07:11:49     INFO -  ***
07:11:49     INFO -  *** This is stdout. Most of the useful output will be in logcat.
07:11:49     INFO -  ***
07:11:49     INFO -  *****************************************************************
07:11:49     INFO -  System JS : WARNING resource://testing-common/httpd.js:2857 - in strict mode code, functions may be declared only at top level or immediately within another function
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test MAIN run_test pending (1)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 0 pending (2)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test MAIN run_test finished (2)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | running event loop
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | Starting
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
07:11:49     INFO -  System JS : ERROR (null):0 - uncaught exception: 2147500037
07:11:49     INFO -  TEST-PASS | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | [_getBinaryUtil : 343] true == true
07:11:49     INFO -  TEST-PASS | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | [_setupTLSServerTest : 385] true == true
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 0 finished (2)
07:11:49     INFO -  sending 'GET / HTTP/1.0
07:11:49     INFO -  '
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
07:11:49     INFO -  HTTP/1.0 200 OK
07:11:49     INFO -  content-type: text/plain
07:11:49     INFO -  connection: close
07:11:49     INFO -  server: httpd.js
07:11:49     INFO -  date: Thu, 28 Aug 2014 14:11:22 GMT
07:11:49     INFO -  content-length: 3
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 1 pending (2)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | Starting
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 1 finished (2)
07:11:49     INFO -  found pre-defined host 'ocsp-stapling-unknown.example.com'
07:11:49     INFO -  found pre-defined host 'ocsp-stapling-unknown.example.com'
07:11:49     INFO -  PR_Recv failed: SSL_ERROR_BAD_CERT_ALERT
07:11:49     INFO -  TEST-INFO | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | "handling ocsp-stapling-unknown.example.com"
07:11:49     INFO -  TEST-PASS | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | [add_connection_test/</< : 312] 2153389954 == 2153389954
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 2 pending (2)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | Starting
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
07:11:49     INFO -  TEST-PASS | test_ocsp_caching.js | [add_tests/< : 58] 0 == 0
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 3 pending (3)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (3)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 2 finished (2)
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | Starting
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 3 finished (2)
07:11:49     INFO -  found pre-defined host 'ocsp-stapling-none.example.com'
07:11:49     INFO -  found pre-defined host 'ocsp-stapling-none.example.com'
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | "gFetchCount: 1"
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | "returning 500 Internal Server Error"
07:11:49     INFO -  PR_Recv failed: SSL_ERROR_BAD_CERT_ALERT
07:11:49     INFO -  TEST-INFO | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | "handling ocsp-stapling-none.example.com"
07:11:49     INFO -  TEST-PASS | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | [add_connection_test/</< : 312] 2153389954 == 2153389954
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 4 pending (2)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | Starting
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
07:11:49     INFO -  TEST-PASS | test_ocsp_caching.js | [add_tests/< : 65] 1 == 1
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 5 pending (3)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (3)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 4 finished (2)
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | Starting
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | "Sleeping for 1200ms"
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 5 finished (2)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 6 pending (2)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | Starting
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
07:11:49     INFO -  TEST-PASS | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | [_getBinaryUtil : 343] true == true
07:11:49     INFO -  TEST-INFO | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | "arg_array =sql:tlsserver,good,localhostAndExampleCom,unused,/data/local/tests/xpcshell/security/manager/ssl/tests/unit/0.ocsp"
07:11:49     INFO -  TEST-PASS | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | [generateOCSPResponses : 420] 0 == 0
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 7 pending (3)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (3)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 6 finished (2)
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | Starting
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 7 finished (2)
07:11:49     INFO -  found pre-defined host 'ocsp-stapling-none.example.com'
07:11:49     INFO -  found pre-defined host 'ocsp-stapling-none.example.com'
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | "gFetchCount: 2"
07:11:49     INFO -  TEST-INFO | test_ocsp_caching.js | "returning 200 OK"
07:11:49     INFO -  PR_Recv failed: SSL_ERROR_BAD_CERT_ALERT
07:11:49     INFO -  TEST-INFO | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | "handling ocsp-stapling-none.example.com"
07:11:49  WARNING -  TEST-UNEXPECTED-FAIL | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | 2153389954 == 0 - See following stack:
07:11:49     INFO -  /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js:add_connection_test/</<:312
07:11:49     INFO -  resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:Handler.prototype.process:865
07:11:49     INFO -  resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:this.PromiseWalker.walkerLoop:744
07:11:49     INFO -  /data/local/tests/xpcshell/head.js:_do_main:191
07:11:49     INFO -  /data/local/tests/xpcshell/head.js:_execute_test:405
07:11:49     INFO -  -e:null:1
07:11:49     INFO -  null:null:0
07:11:49     INFO -  TEST-INFO | (xpcshell/head.js) | exiting test
07:11:49  WARNING -  TEST-UNEXPECTED-FAIL | None |  A promise chain failed to handle a rejection: 2147500036 - rejection date: Thu Aug 28 2014 10:11:43 GMT-0400 (EDT) - See following stack:
07:11:49     INFO -  JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: PendingErrors.register :: line 159
07:11:49     INFO -  JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: this.PromiseWalker.completePromise :: line 672
07:11:49     INFO -  JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: Handler.prototype.process :: line 901
07:11:49     INFO -  JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: this.PromiseWalker.walkerLoop :: line 744
07:11:49     INFO -  JS frame :: /data/local/tests/xpcshell/head.js :: _do_main :: line 191
07:11:49     INFO -  JS frame :: /data/local/tests/xpcshell/head.js :: _execute_test :: line 405
07:11:49     INFO -  JS frame :: -e :: <TOP_LEVEL> :: line 1
07:11:49     INFO -  native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
07:11:49     INFO -  System JS : WARNING resource://testing-common/httpd.js:791 - reference to undefined property this._stopCallback
07:11:49     INFO -  !!! error running onStopped callback: TypeError: callback is not a function
07:11:49     INFO -  [3226] WARNING: '!compMgr', file /builds/slave/b2g_b2g-in_emu-d_dep-000000000/build/gecko/xpcom/glue/nsComponentManagerUtils.cpp, line 63
07:11:49     INFO -  [3226] WARNING: OOPDeinit() without successful OOPInit(): file ../../../gecko/toolkit/crashreporter/nsExceptionHandler.cpp, line 2634
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  [3226] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 148
07:11:49     INFO -  nsStringStats
07:11:49     INFO -   => mAllocCount:           3445
07:11:49     INFO -   => mReallocCount:          551
07:11:49     INFO -   => mFreeCount:            3445
07:11:49     INFO -   => mShareCount:           4822
07:11:49     INFO -   => mAdoptCount:            345
07:11:49     INFO -   => mAdoptFreeCount:        345
07:11:49     INFO -   => Process ID: 3226, Thread ID: 1074476168
07:11:49     INFO -  <<<<<<<
Blocks: 1059955
Mass whiteboard change to annotate PSM intermittent test failures as [psm-intermittent]. Filter on 31b932bd-1aad-4e29-9f4b-4cd864a3ffdc if that's important to you.
Whiteboard: [psm-intermittent]
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
You need to log in before you can comment on or make changes to this bug.